> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Workflow's Runs



## OpenAPI

````yaml get /v3/workflows/{workflow_uid}/jobs
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/workflows/{workflow_uid}/jobs:
    get:
      tags:
        - Runs
      summary: List all Workflow's Runs
      operationId: v3_list_workflow_jobs
      parameters:
        - required: true
          schema:
            title: Workflow UID
            type: string
            format: uuid
          name: workflow_uid
          in: path
        - required: false
          schema:
            title: Page
            type: integer
          name: page
          in: query
      responses:
        '200':
          description: List of jobs retrieved successfully.
          content:
            application/json:
              schema: {}
              example:
                - uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  name: Job 1
                  status: finished
                  start_time: '2024-11-26T18:21:03.000Z'
                  scheduled_time: null
                  finish_time: '2024-11-26T18:21:09.000Z'
                  row_count: 1
                  total_row_count: 1
                  error_message: null
                  workflow_name: Sample Workflow
                  workflow_uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  main_job_uid: null
                  main_job_name: null
                  configuration:
                    steps:
                      - accounts:
                          - xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                        parameters: {}
                        workflow_template_uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                        accounts_rotation_enabled: false
                  accounts:
                    - xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  number_inputs: 1
                  step_uid: null
                - uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  name: Job 2
                  status: finished
                  start_time: '2024-11-23T12:24:55.000Z'
                  scheduled_time: null
                  finish_time: '2024-11-23T12:25:40.000Z'
                  row_count: 17
                  total_row_count: 17
                  error_message: null
                  workflow_name: Sample Workflow
                  workflow_uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                  main_job_uid: null
                  main_job_name: null
                  configuration:
                    steps:
                      - accounts: []
                        parameters: {}
                        workflow_template_uid: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
                        accounts_rotation_enabled: true
                  accounts: []
                  number_inputs: 25
                  step_uid: null
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````